Bug 497686 - (perl-Archive-RPM) Review Request: perl-Archive-RPM - Work with an RPM
Review Request: perl-Archive-RPM - Work with an RPM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Archive-RPM
:
Depends On:
Blocks: 484485
  Show dependency treegraph
 
Reported: 2009-04-26 03:33 EDT by Chris Weyl
Modified: 2009-05-01 23:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 23:51:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-04-26 03:33:33 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Archive-RPM.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Archive-RPM-0.04-1.fc10.src.rpm

Description:
Archive::RPM provides a more complete method of accessing an RPM's meta-
and actual data. We access this information by leveraging RPM2 where we
can, and by "exploding" the rpm with rpm2cpio and cpio when we need
information we can't get through RPM2.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1321073

*rt-0.07
Comment 1 Iain Arnell 2009-04-26 04:44:15 EDT
+ source files match upstream.  
  54cc46c5e670796ebd2134f83b0d8a346bfb447c  Archive-RPM-0.04.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  LGPLv2+
 
+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1321073

+ package installs properly.
+ rpmlint has no complaints:
  perl-Archive-RPM.noarch: I: checking
  perl-Archive-RPM.src: I: checking
  2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
  perl(Archive::RPM) = 0.04
  perl(Archive::RPM::ChangeLogEntry) = 0.04
  perl-Archive-RPM = 0.04-1.fc12

=
  cpio  
  perl(:MODULE_COMPAT_5.10.0)  
  perl(Archive::RPM::ChangeLogEntry)  
  perl(DateTime)  
  perl(English)  
  perl(File::Temp)  
  perl(Moose)  
  perl(MooseX::AttributeHelpers)  
  perl(MooseX::Types::DateTimeX)  
  perl(MooseX::Types::Path::Class)  
  perl(Path::Class)  
  perl(RPM2) >= 0.67
  perl(namespace::clean)  
  perl(overload)  
  rpm  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1

+ %check is present and all tests pass.
  t/00-load.t ........... ok
  t/100-archive-rpm.t ... ok
  t/101-archive-srpm.t .. ok
  t/102-changelog.t ..... ok
  All tests successful.
  Files=4, Tests=28,  5 wallclock secs ( 0.05 usr  0.01 sys +  4.67 cusr  0.49 csys =  5.22 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED
Comment 2 Chris Weyl 2009-04-27 12:02:19 EDT
New Package CVS Request
=======================
Package Name: perl-Archive-RPM
Short Description: Work with an RPM
Owners: cweyl
Branches: F-9 F-10 F-11 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-28 23:11:00 EDT
cvs done.
Comment 4 Chris Weyl 2009-05-01 23:51:56 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.